import { Send } from "react-feather";
import useHandleConversationStore from "@/feature/messenger/store/useHandleConversationStore";
import { Button, Tooltip } from "@nextui-org/react";
import { useTranslation } from "@/hooks/useTranslation";
import useResponsiveBtn from "@/feature/messenger/hooks/useReponsiveBtn";

export default function SendMessageButton({handleMessagePress}: any) {

    const openRecordVoice = useHandleConversationStore(state => state.openRecordVoice);
    const { trans } = useTranslation();
    const { responsiveButtonFooter, responsiveIconButtonFooter } = useResponsiveBtn();

    if (openRecordVoice) {
        return (
            <>
            </>
        )
    }else{
        
        return (
            <Tooltip
                placement="top"
                content={trans('footer_content_chat_send_title')}	
                color="default"
            >
                <Button color="primary" radius="full" className={responsiveButtonFooter} variant="flat" onClick={handleMessagePress}>
                    <Send size={14} className={responsiveIconButtonFooter} />
                </Button>
            </Tooltip>
            
        )
    }

}